// Variables
//
// Variables should follow the `$component-state-property-size` formula for
// consistent naming. Ex: $nav-link-disabled-color and $modal-content-box-shadow-xs.

// Color system

$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;

$peach : #f4f3ea !default;
$turquoise: #15c3d4 !default;
$darkBlue: #122c40 !default;
$MediumOrchid: #b54fb3 !default;
$khakhi: #d1bb78 !default; 

$primary:       $turquoise !default;
$primary-dark:       darken($primary, 20%) !default;
$secondary:     $khakhi !default;
$secondary-dark: darken($secondary, 30%) !default;

$dark: $darkBlue !default;
$tertiary: #879ab5 !default;
$dark-main: #325271 !default;

$theme-colors: (
    "white": $white,
    "black": $black,
    "secondary-dark": $secondary-dark,
    "primary-dark": $primary-dark,
    "tertiary": $tertiary,
    "grey": $gray-300,
    "dark-main": $dark-main
) !default;

//- Add custom variables
$navbar-height: 4.5rem !default;

$nav-tabs-border-color: $tertiary !default;
$nav-tabs-link-hover-border-color: transparent transparent $dark-main !default;
$nav-tabs-link-active-border-color: transparent transparent $dark-main !default;
$nav-link-padding-y:                .25rem !default;
$nav-link-padding-x:                0.75rem !default;

$enable-rounded: false !default;
// Body
//
// Settings for the `<body>` element.

$body-bg:                   $peach !default;
$body-color:                $gray-900 !default;


// Shadows
$text-shadow-sm: 0 1px 1px $black;
$text-shadow: 0 2px 2px $black;
$text-shadow-lg: 0 2px 4px $black;

// Paragraphs
//
// Style p element.

$paragraph-margin-bottom:   1rem !default;

// Typography
//
// Font, line-height, and color for body text, headings, and more.

// stylelint-disable value-keyword-case
$font-weight-normal:          500 !default;
$font-weight-medium:          500 !default;
$font-weight-semi-bold:       600 !default;
$font-weight-bolder:          900 !default;
$font-family-sans-serif:      "Museo", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !default;
$headings-font-family:        "League Gothic", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", 'Noto Color Emoji' !default;
$font-family-alt:             Arial, Helvetica, sans-serif;
$font-family-base:            $font-family-sans-serif !default;
// stylelint-enable value-keyword-cases

$font-size-base:              1rem !default; // Assumes the browser default, typically `16px`


$input-placeholder-color: $gray-600 !default;
$input-focus-border-color: darken($gray-500, 10%) !default;
$input-focus-border-color-light: darken($gray-100, 10%) !default;


$custom-control-indicator-size-lg:         1.25rem !default;
// Modals



$modal-content-color:               null !default;
$modal-content-bg:                  transparent !default;
$modal-content-border-color:        rgba($black, .2) !default;
$modal-content-border-width:        0 !default;
$modal-content-border-radius:       0 !default;
$modal-header-padding-y:            0rem !default;

$modal-backdrop-opacity:            .85 !default;


$modal-header-border-color:         none !default;
$modal-footer-border-color:         $modal-header-border-color !default;
$modal-header-border-width:        0 !default;


$modal-xl:                          1140px !default;
$modal-lg:                          800px !default;
$modal-md:                          500px !default;
$modal-sm:                          300px !default;

// The yiq lightness value that determines when the lightness of color changes from "dark" to "light". Acceptable values are between 0 and 255.
$yiq-contrasted-threshold:  160 !default;